tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: tc-native-1.1.12 fails to configure on Redhat EL4 x86_64 (... command not found)
Date Fri, 04 Jan 2008 13:18:35 GMT
Hi Rainer,

I can reproduce on Solaris.

The first problem should be fixed by:

--- configure.orig      2007-12-21 15:06:53.000000000 +0100
+++ configure   2008-01-04 14:16:13.000000000 +0100
@@ -2490,7 +2490,7 @@
    { (exit 1); exit 1; }; }
   fi
   sapr_version="`echo $sapr_pversion|sed -e 's/\(a-z*\)$/.\1/'`"
-  IFS=.; set $sapr_version; IFS=' '
+  tc_save_IFS=$IFS; IFS=.; set $sapr_version; IFS=$tc_save_IFS
   if test "${1}" -lt "1"; then
     { { echo "$as_me:$LINENO: error: You need APR version 1.2.1 or
newer installed." >&5
 echo "$as_me: error: You need APR version 1.2.1 or newer installed." >&2;}

If you regenerate configure via buildconf, you need to also fix
build/tcnative.m4 analogously:

--- build/tcnative.m4.orig      2008-01-04 14:18:10.000000000 +0100
+++ build/tcnative.m4   2008-01-04 14:16:05.000000000 +0100
@@ -31,7 +31,7 @@
     AC_MSG_ERROR(APR config could not be located. Please use the
--with-apr option.)
   fi
   sapr_version="`echo $sapr_pversion|sed -e 's/\([a-z]*\)$/.\1/'`"
-  IFS=.; set $sapr_version; IFS=' '
+  tc_save_IFS=$IFS; IFS=.; set $sapr_version; IFS=$tc_save_IFS
   if test "${1}" -lt "1"; then
     AC_MSG_ERROR(You need APR version 1.2.1 or newer installed.)
   else

Does that also fix your second problem?

Regards,

Rainer (sic!)

Rainer Traut schrieb:
> Hi,
> 
> I get many error msgs from this new thing; 1.1.10 was fine. I cut the
> rest of the lines with 'command not found'.
> 
> # ./configure --with-apr=/usr/local/apache2/
> --with-ssl=/usr/include/openssl/
> checking build system type... x86_64-unknown-linux-gnu
> checking host system type... x86_64-unknown-linux-gnu
> checking target system type... x86_64-unknown-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking for working mkdir -p... yes
> Tomcat Native Version: 1.1.12
> checking for chosen layout... tcnative
> checking for APR... yes
>   setting CC to "gcc"
>   setting CPP to "gcc -E"
> checking for a BSD-compatible install... /usr/bin/install -c
> checking for JDK location (please wait)... /opt/java from environment
> checking Java platform... checking Java platform...
> checking for sablevm... NONE
>   adding "-I/opt/java/include" to TCNATIVE_PRIV_INCLUDES
> checking os_type directory...  linux
>   adding "-I/opt/java/include/linux" to TCNATIVE_PRIV_INCLUDES
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables...
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for OpenSSL library... using openssl from
> /usr/include/openssl//lib and /usr/include/openssl//include
> checking OpenSSL library version... not compatible
> checking for OpenSSL DSA support... no
>   adding "-I/usr/include/openssl//include" to TCNATIVE_PRIV_INCLUDES
>   setting TCNATIVE_LDFLAGS to "-L/usr/include/openssl//lib
> --Wl,-rpath,/usr/include/openssl//lib -lssl -lcrypto"
>   adding "-DHAVE_OPENSSL" to CFLAGS
>   setting TCNATIVE_LIBS to ""
>   setting TCNATIVE_LIBS to " /usr/local/apache2/lib/libapr-1.la -luuid
> -lrt -lcrypt  -lpthread -ldl"
> ./configure: line 4315: APR_BUILD_DIR: command not found
> ./configure: line 4316: APR_INCLUDES: command not found
> ./configure: line 4317: APR_LIBS: command not found
> ./configure: line 4318: APR_LIB_TARGET: command not found
> ./configure: line 4319: APR_SO_EXT: command not found
> ./configure: line 4320: BASH: command not found
> ./configure: line 4321: BASH_ARGC: command not found
> ./configure: line 4322: BASH_ARGV: command not found
> ./configure: line 4323: BASH_LINENO: command not found
> ./configure: line 4324: BASH_SOURCE: command not found
> ...
> 
> Thx
> Rainer
> 
> ---------------------------------------------------------------------
> To start a new topic, e-mail: users@tomcat.apache.org
> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: users-help@tomcat.apache.org
> 

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message